Draft Line/de: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 68: Line 68:
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".


<div class="mw-translate-fuzzy">
==Scripting==
==Scripting==
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
Das Linien-Werkzeug kann mit [[macros/de|Makros]] und von der [[Python/de|Python]]-Konsole aus mithilfe der folgenden Funktionen verwendet werden:
</div>


The Line tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Line tool can be used in [[macros]] and from the [[Python]] console by using the following function:

Revision as of 15:07, 12 January 2019

Draft Linie

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
L I
Eingeführt in Version
0.7
Siehe auch
Draft Linienzug, Draft Punkt

Beschreibung

Mit dem Werkzeug Gerade wird zwischen zwei vorgegebenen Punkten eine Gerade erzeugt. Linienstärke und -farbe richten sich nach der Voreinstellung mit Entwurf Tray. Das Werkzeug verhält sich genauso wie Linienzug, außer dass es nach zwei Punkten endet.

Anwendung

  1. Drücken von
    1. Knopf Draft Line auf Bildschirm oder
    2. Taste L und dann Taste I auf Tastatur.
  2. Ersten Punkt wählen:
    1. auf entsprechende Stelle des Bildschirms klicken oder
    2. kartesischen Koordinatenwert auf Tastatur eingeben.
  3. Zweiten Punkt wählen:
    1. auf entsprechende Stelle des Bildschirms klicken oder
    2. kartesischen Koordinatenwert auf Tastatur eingeben.

The line can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

Fusing single lines

If several connected Draft Lines are selected they can be fused into a wire by pressing the Draft Upgrade tool; however, this wire will not be editable. To create an editable wire, use Draft Upgrade three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the Draft Wire tool.

A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the add point button, and click anywhere on the line.

Optionen

  • Drücken von X, Y oder Z auf der Tastatur nach erfolgter Festlegung des ersten Punkts erzwingt für den zweiten Punkt den gleichen z-, y- bzw. z-Koordinaten-Wert
  • Nach Tastatur-Eingabe der kartesichen Koordinaten-Werte nach jedem x-, y- und/oder z-Wert die Eingabetaste (Enter) ENTER drücken.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Upgrade Button.

Properties

  • Daten-EigenschaftStart: Der Startpunkt
  • Daten-EigenschaftEnd: Der Endpunkt
  • Daten-EigenschaftSubdivisions: Dividiert die Linie mit der angegebenen Anzahl von Unterteilungen eingeführt mit Version 0.16

Data

  • DatenStart: specifies the start point.
  • DatenEnd: specifies the end point.
  • DatenSubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • DatenLength: (read-only) specifies the length of the segment.

View

  • AnsichtEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • AnsichtArrow Size: specifies the size of the symbol displayed at the end of the line.
  • AnsichtArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Erstellt eine Linie zwischen den beiden durch Vektoren gegebenen Punkten p1 and p2.
  • Erstellt eine Line aus einem Part.LineSegment
  • Erstellt eine Line vom ersten zum letzten Eckpunkt eines gegebenen Shape-Objekts
  • Die aktuelle Draft-Linienbreite und -farbe wird benutzt.
  • Liefert das neu erzeugte Objekt zurück.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)